<div class="container-fluid mt--5">
  <div class="row">
    <div class="col">
      <div class="card shadow">
        <div class="card-header border-0 flex-table">
          <div class="flex-buttons-title">
            <h3 class="mb-0 mr-5">Volumes</h3>
            <a (click)="deleteVoumes()" style="cursor: pointer;"><i class="material-icons click-icon-stop"
                matTooltip="Delete"> delete </i></a>
            <a (click)="pruneVolumes()"> <i class="material-icons click-icon-replay" matTooltip="Prune">
                cleaning_services
              </i></a>
          </div>
          <div class="flex-buttons">
            <button class="btn btn-style" data-toggle="modal" data-target="#addVolume">
              <i class="material-icons"> add </i>
              <p style="margin-top: 15px;">Volume</p>
            </button>
          </div>
        </div>
        <div class="table-responsive">
          <table class="table align-items-center table-flush">
            <thead class="thead-light">
              <tr>
                <th></th>
                <th scope="col">Name</th>
                <th scope="col">Stack</th>
                <th scope="col">Driver</th>
                <th scope="col">Mount Point</th>
                <th scope="col">Created At</th>
                <th></th>
              </tr>
            </thead>
            <tbody *ngFor="let volume of listVolumes; let i = index;">

              <tr>
                <td>
                  <mat-checkbox (click)="checked(volume.Name)"></mat-checkbox>
                </td>

                <th scope="row">
                  {{volume.Name}}
                </th>
                <td *ngIf="volume.Labels !== null">
                  {{volume?.Labels | jsonObject:volume?.Labels }}
                </td>
                <td *ngIf="volume.Labels === null">
                  -
                </td>
                <td>
                  <span class="mb-0 text-sm">
                    {{volume.Driver}}
                  </span>
                </td>
                <td>
                  <p style="width: 200px; overflow:hidden;text-overflow: ellipsis;">{{volume.Mountpoint}}</p>
                </td>
                <td>
                  {{volume.CreatedAt | date}}
                </td>
                <td><a (click)="getCurrentVolume(volume.Name)" data-toggle="modal" data-target="#showVolume"> <i
                      class="material-icons click-icon-replay" matTooltip="Show details">
                      remove_red_eye
                    </i> </a></td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal" id="addVolume">
  <div class="modal-dialog modal-xl">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Add Volume</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        <form [formGroup]="volumeForm">
          <div class="row">
            <div class="col-md-12 form-group">
              <mat-form-field appearance="outline" class="input-full">
                <mat-label>Name Image</mat-label>
                <input formControlName="Name" matInput placeholder="Name image">
                <mat-error *ngIf="volumeForm.hasError('required', 'Name')">Name of the volume is <b>required</b>
                </mat-error>
              </mat-form-field>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12 form-group">
              <mat-form-field appearance="outline" class="input-full">
                <mat-label>Mount Point</mat-label>
                <input formControlName="Mountpoint" matInput placeholder="Mount Point">
                <mat-error *ngIf="volumeForm.hasError('required', 'Mountpoint')">Mount Point of the volume is
                  <b>required</b>
                </mat-error>
              </mat-form-field>
            </div>
          </div>

        </form>
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" data-dismiss="modal" (click)="addVolume()"
          [disabled]="!volumeForm.valid"> Add Volume</button>
      </div>

    </div>
  </div>
</div>
<div class="modal" id="showVolume">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">{{currentVolume.Name}}</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        <div class="row">
          <div class="col-md-12">
           <b> Mount Point :</b> {{currentVolume.Mountpoint}}
          </div>
          <div class="col-md-12">
            <b>Driver :</b> {{currentVolume.Driver}}
          </div>
          <div class="col-md-12">
           <b> Created At :</b> {{currentVolume.CreatedAt | date}}
          </div>
          <div class="col-md-12">
            <b>Labels:</b>
            <div class="row" *ngFor="let label of currentVolume.Labels">
              <div class="col-md-12">
                  {{label[0]}} : {{label[1]}}
              </div>
            </div>
          </div>
        </div>
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
      </div>

    </div>
  </div>
</div>
